package org.academiadecodigo.enuminatti.carstand;

import org.academiadecodigo.enuminatti.carstand.extras.*;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public class Main {

    public static void main(String[] args) {
        Car francisco = new BasicCar();
        francisco = new GPS(francisco);
        francisco = new AirConditioner(francisco);
        francisco = new GPS(francisco);

        System.out.println(francisco.getPrice());
        System.out.println(francisco.getSpecifications());
    }


}
